#
# spec file for package cockpit
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cockpit-wicked
Version:        4.3
Release:        150400.1.1
Summary:        Cockpit user interface for Wicked
License:        GPL-2.0-only
URL:            https://github.com/openSUSE/cockpit-wicked
Source:         https://github.com/openSUSE/cockpit-wicked/releases/download/%{version}/cockpit-wicked-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  appstream-glib

Requires:       cockpit-bridge
Requires:       wicked

BuildRequires:  nodejs-devel
BuildRequires:  npm

%description
Cockpit component for managing network configuration through Wicked

%prep
%setup -q -n %name

%build
# Nothing to build

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs rm --verbose

%files
%doc README.md
%license LICENSE
%{_datadir}/cockpit
%{_datadir}/metainfo/*

%changelog
* Thu Mar 31 2022 kanderssen@suse.com
- Version 4.3:
  * Update a few dependencies to address security concerns
    (gh#134).
  * Fix wicked wireless configuration parser (bsc#1196528).
* Thu Aug 19 2021 igonzalezsosa@suse.com
- Version 4.2:
  * Update a few dependencies to address security concerns
    (gh#132).
- Fix a packaging problem that caused cockpit-wicked to do not
  work at all (bsc#1189611).
* Mon Jul 26 2021 igonzalezsosa@suse.com
- Version 4.1:
  * Fix a problem when detecting whether an interface is down and
    clean up the list of assigned addresses when they are released
    (gh#128, bsc#1182189 and bsc#1186736).
  * Update several dependencies to address security concerns
    (gh#127).
  * Add translations for German, Hindi and Sinhala (work in
    progress).
  * Update translations for Catalan, Czech, Italian, Japanese
    and Portuguese (Brazil).
* Fri Mar  5 2021 igonzalezsosa@suse.com
- Version 4:
  * Properly detect whether the interface is up (gh#123 and
    bsc#1182189).
  * Clarify that the "Routing" tab is about user-defined routes (related
    to gh#122).
* Mon Jan 11 2021 igonzalezsosa@suse.com
- Version 3:
  * Properly remove the last route in /etc/sysconfig/network/routes
    (gh#110).
  * Improve detection of virtual interfaces (gh#113).
  * Usability improvements in the interfaces (gh#114, gh#115)
    and routes lists (gh#112).
  * Update dependencies to latest compatible versions (gh#116).
  * Added translations for Catalan, Japanese, Portuguese
    (Brazil and Portugal) and Spanish.
* Thu Dec  3 2020 igonzalezsosa@suse.com
- Version 2:
  * Fix routes handling (gh#94).
  * Display those interfaces that are not managed by Wicked in a
    separate list (gh#95). As part of this enhancement, several
    visual improvements were introduced.
  * Just write the changes to the ifcfg-* files (gh#98).
  * Avoid calling too many external tools to get the list of
    ESSIDs (gh#91).
  * Adjust the label of the button that allows deleting an
    interface configuration (gh#102).
* Tue Nov 24 2020 igonzalezsosa@suse.com
- Version 1.
- First public release.
